### Function

# Secret password_store_binary

since: 0.19.0

#### Declaration [src]

    void
    secret_password_store_binary (
      const SecretSchema* schema,
      const char* collection,
      const char* label,
      SecretValue* value,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data,
      ...
    )

#### Description [src]

Store a password in the secret service.

This is similar to `secret_password_store()`, but takes a `SecretValue` as the argument instead of a null-terminated password.

This method will return immediately and complete asynchronously.

Available since: 0.19.0

This function is not directly available to language bindings.

The implementation of this function is provided by `secret_password_storev_binary()` in language bindings.

#### Parameters

`schema`

  Type: `SecretSchema`

  The schema for attributes.

  The data is owned by the caller of the function.

`collection`

  Type: `const char*`

  A collection alias, or D-Bus object path of the collection where to store the secret.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`label`

  Type: `const char*`

  Label for the secret.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `SecretValue`

  A `SecretValue`.

  The data is owned by the caller of the function.

`cancellable`

  Type: `GCancellable`

  Optional cancellation object.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`callback`

  Type: `GAsyncReadyCallback`

  Called when the operation completes.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Data to be passed to the callback.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`...`

  Type: ``

  The attribute keys and values, terminated with `NULL`.